{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.dragonfly.idle_event_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "on_entry": [
            "v.delay = Math.random_integer(8, 20);",
            "v.current_delay = q.life_time;"
          ],
          "transitions": [
            {
              "idle_event": "(q.life_time - v.current_delay >= v.delay) && q.modified_move_speed <= 0.1"
            }
          ]
        },
        "idle_event": {
          "animations": ["idle_event"],
          "transitions": [
            {
              "default": "q.all_animations_finished || q.modified_move_speed > 0.1"
            }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.dragonfly.tilt_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": ["tilt"]
        }
      }
    }
  }
}
